1 #! /usr/bin/ksh
   2 #
   3 #
   4 # This file and its contents are supplied under the terms of the
   5 # Common Development and Distribution License ("CDDL"), version 1.0.
   6 # You may only use this file in accordance with the terms of version
   7 # 1.0 of the CDDL.
   8 #
   9 # A full copy of the text of the CDDL should have accompanied this
  10 # source.  A copy of the CDDL is also available via the Internet at
  11 # http://www.illumos.org/license/CDDL.
  12 #
  13 
  14 #
  15 # Copyright 2015, Richard Lowe.
  16 #
  17 
  18 /usr/bin/psecflags -s aslr -e sleep 100000 &
  19 pid=$!
  20 
  21 cleanup() {
  22     kill $pid
  23     rm /tmp/output.$$
  24     rm /tmp/expected.$$
  25 }
  26 
  27 trap cleanup EXIT
  28 
  29 cat > /tmp/expected.$$ <<EOF
  30 $pid:   sleep 100000
  31         E:      aslr
  32         I:      aslr
  33 EOF
  34 
  35 /usr/bin/psecflags $pid | grep -v '[LU]:' > /tmp/output.$$
  36 
  37 if ! diff -u /tmp/expected.$$ /tmp/output.$$; then
  38     exit 1;
  39 fi
  40 
  41 exit 0